Package kiyut.sketsa.options

## Class AbstractOptionsPanelController

- java.lang.Object
- - org.netbeans.spi.options.OptionsPanelController
  - - kiyut.sketsa.options.AbstractOptionsPanelController

- Direct Known Subclasses:
    `CodeColoringOptionsPanelController`, `CodeFormatOptionsPanelController`, `FontSetOptionsPanelController`, `GeneralOptionsPanelController`

      public abstract class AbstractOptionsPanelController
      extends org.netbeans.spi.options.OptionsPanelController

  Author:
    Kiyut

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.netbeans.spi.options.OptionsPanelController

      `org.netbeans.spi.options.OptionsPanelController.ContainerRegistration, org.netbeans.spi.options.OptionsPanelController.Keywords, org.netbeans.spi.options.OptionsPanelController.KeywordsRegistration, org.netbeans.spi.options.OptionsPanelController.SubRegistration, org.netbeans.spi.options.OptionsPanelController.TopLevelRegistration`

  - ### Field Summary

    - ### Fields inherited from class org.netbeans.spi.options.OptionsPanelController

      `PROP_CHANGED, PROP_HELP_CTX, PROP_VALID`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractOptionsPanelController()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addPropertyChangeListener​(PropertyChangeListener l)` |
    `void` | `applyChanges()` |
    `void` | `cancel()` |
    `JComponent` | `getComponent​(org.openide.util.Lookup masterLookup)` |
    `org.openide.util.HelpCtx` | `getHelpCtx()` |
    `protected abstract AbstractOptionsPane` | `getOptionsPanel()` |
    `boolean` | `isChanged()` |
    `boolean` | `isValid()` |
    `void` | `removePropertyChangeListener​(PropertyChangeListener l)` |
    `void` | `update()` |

    - ### Methods inherited from class org.netbeans.spi.options.OptionsPanelController

      `createAdvanced, getLookup, handleSuccessfulSearch, setCurrentSubcategory, setSubcategory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractOptionsPanelController

          public AbstractOptionsPanelController()

  - ### Method Detail

    - #### update

          public void update()

      Specified by:
        `update` in class `org.netbeans.spi.options.OptionsPanelController`

    - #### applyChanges

          public void applyChanges()

      Specified by:
        `applyChanges` in class `org.netbeans.spi.options.OptionsPanelController`

    - #### cancel

          public void cancel()

      Specified by:
        `cancel` in class `org.netbeans.spi.options.OptionsPanelController`

    - #### isValid

          public boolean isValid()

      Specified by:
        `isValid` in class `org.netbeans.spi.options.OptionsPanelController`

    - #### isChanged

          public boolean isChanged()

      Specified by:
        `isChanged` in class `org.netbeans.spi.options.OptionsPanelController`

    - #### getHelpCtx

          public org.openide.util.HelpCtx getHelpCtx()

      Specified by:
        `getHelpCtx` in class `org.netbeans.spi.options.OptionsPanelController`

    - #### addPropertyChangeListener

          public void addPropertyChangeListener​(PropertyChangeListener l)

      Specified by:
        `addPropertyChangeListener` in class `org.netbeans.spi.options.OptionsPanelController`

    - #### removePropertyChangeListener

          public void removePropertyChangeListener​(PropertyChangeListener l)

      Specified by:
        `removePropertyChangeListener` in class `org.netbeans.spi.options.OptionsPanelController`

    - #### getComponent

          public JComponent getComponent​(org.openide.util.Lookup masterLookup)

      Specified by:
        `getComponent` in class `org.netbeans.spi.options.OptionsPanelController`

    - #### getOptionsPanel

          protected abstract AbstractOptionsPane getOptionsPanel()